package com.qnfhq.modules.user.dao;

import com.qnfhq.common.dao.BaseDao;
import com.qnfhq.modules.user.entity.AppUserEntity;
import org.apache.ibatis.annotations.Mapper;

/**
 * 玩家用户表
 *
 * @author yelz 30262728@qq.com
 * @since 1.0.0 2025-11-11
 */
@Mapper
public interface AppUserDao extends BaseDao<AppUserEntity> {

    AppUserEntity getUserByMobile(String mobile);

    AppUserEntity getUserByUserId(Long userId);

    AppUserEntity getUserByActiveCode(String activeCode);
}